%define api 0.9
%define major 1
%define libname %mklibname fame %api %major
%define develname %mklibname -d fame

Summary:   Fast Assembly Mpeg Encoding library
Name:      libfame
Version:   0.9.1
Release:   %mkrel 4
License:   LGPLv2+
Group:     System/Libraries
Source0:   http://prdownloads.sourceforge.net/fame/libfame-%{version}.tar.xz
Patch:	libfame-0.9.1-gcc34-1.patch.bz2
Patch1: libfame-0.9.1-64bit.diff
Patch2: libfame-0.9.1-fix-underquoted-calls.patch
URL:       http://fame.sourceforge.net

%description
FAME is a library for fast MPEG encoding.

%package -n %libname
Summary:   Fast Assembly Mpeg Encoding library
Group:     System/Libraries

%description -n %libname
FAME is a library for fast MPEG encoding.

%package -n %develname
Summary: Libraries and include to develop using FAME
Group: Development/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release 
Provides: libfame0.9-devel = %version-%release
Conflicts: libfame-devel < %version
Obsoletes: %mklibname -d fame 0.9_1

%description -n %develname
FAME is a library for fast MPEG encoding.

This is the libraries, include files and other resources you can use
to develop FAME applications.

%prep

%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
aclocal
autoconf
automake -a -f --foreign

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std
%multiarch_binaries %{buildroot}%{_bindir}/*-config

find %{buildroot} -name '*.la' -delete

%files -n %libname
%{_libdir}/libfame-%{api}.so.%{major}*

%files -n  %develname
%{_bindir}/*-config
%{multiarch_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/fame*.h
%{_datadir}/aclocal/*
%{_mandir}/man3/*


%changelog
* Thu Oct 20 2022 tex - 0.9.1-4pclos2022
- rebuild against updates

* Sun Dec 15 2019 tex - 0.9.1-3pclos2020
- rebuild against updates

* Tue Oct 15 2019 tex - 0.9.1-2pclos2019
- rebuild against updates

* Sun Mar 12 2017 bb2 <bb2> 0.9.1-1pclos2017
- import from france for libxine 1.2.8
